PETSc version 3.15.5
Fix/Edit manual page

# KSPGMRESMonitorKrylov

Calls VecView() for each new direction in the GMRES accumulated Krylov space.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGMRESMonitorKrylov(KSP ksp,PetscInt its,PetscReal fgnorm,void *dummy)

Collective on ksp

### Input Parameters

| ksp | - the KSP context
| its | - iteration number
| fgnorm | - 2-norm of residual (or gradient)
| dummy | - an collection of viewers created with KSPViewerCreate()

### Options Database Keys

| -ksp_gmres_kyrlov_monitor

### Notes

A new PETSCVIEWERDRAW is created for each Krylov vector so they can all be simultaneously viewed

### See Also

KSPMonitorSet(), KSPMonitorResidual(), VecView(), KSPViewersCreate(), KSPViewersDestroy()

### Level

intermediate

### Location

src/ksp/ksp/impls/gmres/gmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages